<?php

/************************************************************************************/
/*                                                                                  */
/* AustinSmoke Scripts Exchange Rates (Currency Converter)                          */
/* Module and Block: AS-Currency                                                    */
/* v2.0: 05 Feb 2004 - For PHP-Nuke 6.9+                                            */
/*                                                                                  */
/* Copyright  2003-2004 by: AustinSmoke Scripts (scripts@austinsmoke.com)          */
/* http://www.austinsmoke.com                                                       */
/*                                                                                  */
/* This program is free software. You can redistribute it and/or modify             */
/* it under the terms of the GNU General Public License as published by             */
/* the Free Software Foundation; either version 2 of the License.                   */
/*                                                                                  */
/************************************************************************************/

if (eregi("block-AS_Currency.php",$_SERVER['PHP_SELF'])) {
    Header("Location: index.php");
    die();
}

global $prefix, $db, $admin;
$module_name = "AS-Currency";

//include classes and define them
require_once("modules/$module_name/class.ascurrency.php");
require_once("modules/$module_name/class.makeimage.php");
$basc = new ascurrency();
$bimg = new makeimage();


//get setup values
  $query = "SELECT * FROM $prefix"._ascurrency_setup."";
  $result = $db->sql_query($query) or die ("ERROR 301");
  $numofrows = $db->sql_numrows($result);

  for($y = 0; $y < $numofrows; $y++)
  {
    $row = $db->sql_fetchrow($result);
    $setupvar[$y] = $row['name'];
    $$setupvar[$y] = $row['value'];
  }
  

if($sortby == 'Country') $ob = "country";
elseif($sortby == 'ISO') $ob = "iso";
elseif($sortby == 'Highest Value') $ob = "value desc";
else $ob = "value";


//grab todays date
$now = time();

//grab data necessary for countries displayed in block
$query = "SELECT * FROM $prefix"._ascurrency_data." where popular = '1' order by $ob";
$result = $db->sql_query($query) or die ("ERROR 320");
$numofrows = $db->sql_numrows($result);

$content .= "<table align=\"center\" border=\"0\" width=\"100%\">";


//if there is no country selected for the block, display this for the user/admin
if($numofrows == 0)
{
  $content .= "<tr><td>Please add markets to this block.</td></tr>";
}


//if there is data, begin processing it
else
{

//determine which market we are comparing values to
  $compareto = $basc->update_code($now, $uptime, $market, $marketsource); 

//begin grabbing data for each country in block
  for($i=0; $i < $numofrows; $i++)
  {
    $row = $db->sql_fetchrow($result); 
    $myiso = $row['iso'];
    $saycountry = $row['country'];
    $countrysource = $row['source'];
    $value = $basc->update_code($now, $uptime, $myiso, $countrysource);

//open a new country row
    $content .= "<tr>";

//determine if flag icons should be displayed, if so, display the icons
    if($cflags == 1)
    {
	$content .= "<td><img width=$color_flagwidth height=$color_flagheight src=\"modules/".$module_name."/images/flags/".$row['flag']."\" alt=\"$saycountry\"></td>";
    }

//determine if country names should be displayed, if so, display the names
    if($cnames == 1)
    {
      $content .= "<td>".$row['country']."</td>";
    }

//determine how large value is and round accordingly - this is to save visual space
    if($value >= 1)
    {
      $value = round(($value / $compareto), (4 - (floor(log10($value)))));
    }
    else
    {
      $value = round(($value / $compareto), 4);
    }
    
//if the value has a multiplier attached to it, multiply the value and display an asteric
    $multistar = "";
    if(($row['multiplier'] != "") and ($row['multiplier'] != 0))
    {
      $value = ($value * $row['multiplier']);
      $multistar = "*";
    }
    
    //determine if values should be displayed with graphics or just with text
    if($valuegraph == 0)
    {
       $content .= "<td><strong>$value$multistar</strong></td>";
    }

    elseif($valuegraph == 1)
    {
       $image_value = $bimg->translate( $module_name, $value, $valuegraph_type );  
       $content .= "<td><strong>$image_value$multistar</strong></td>";
    }
   
    
//determine if we should show gains and losses as graphics, text, or not at all - if so, display symbol and value
    if(!($cgains == 0))
    {
      $hasgain = round(($row['gain']),2);
      
      if($hasgain > 0)
      {
	$showhasgain = round(($hasgain / $compareto), 2);

	if($cgains == 1)
	{
          $content .= "<td><font color=\"$color_gainup\">+($showhasgain)</font></td>";
	}
	elseif($cgains == 2)
	{
	  $content .= "<td><img src=\"modules/".$module_name."/images/icons/gains/$gains_gfx/up.gif\">
	               <font color=\"$color_gainup\">($showhasgain)</font></td>";
	}
      }
     
      if($hasgain < 0)
      {
	$showhasgain = round(($hasgain / $compareto), 2);

        if($cgains == 1)
        {
        $content .= "<td><font color=\"$color_gaindown\">-(".($showhasgain * (-1)).")</font></td>";
        }
        elseif($cgains == 2)
        {
        $content .= "<td><img src=\"modules/".$module_name."/images/icons/gains/$gains_gfx/down.gif\">
                     <font color=\"$color_gaindown\">(".($showhasgain * (-1)).")</font></td>";
        }

      }
    
      if($hasgain == 0)
      {
        $content .= "<td></td>";
      }


    }



//close the country row
  
    $content .= "</tr>";
  }  
}

$content .= "</table>";


//get information regarding the country we are comparing values to
$query = "SELECT * FROM $prefix"._ascurrency_data." where iso='$market'";
$result = $db->sql_query($query) or die ("ERROR 350");
$row = $db->sql_fetchrow($result);

$content .= "<hr noshade size=\"+1\" width=\"90%\">";

$content .= "<p><table><tr>";
if($cflags == 1)
{
$saycountry = $row['country'];

  if(ereg('flag', $row['flag']))
  {
    $content .= "<td><img width=$color_flagwidth height=$color_flagheight src=\"modules/".$module_name."/images/flags/".$row['flag']."\" alt=\"$saycountry\"></td>";
  }
  else
  {
    $content .= "<td><img width=$color_flagwidth height=$color_flagheight src=\"modules/".$module_name."/images/flags/".$row['flag'].".gif\" alt=\"$saycountry\"></td>";
  }

}
$content .= "<td><strong>Values in relation to the ".$row['country'].".</strong></td></tr></table>";


//link for allowing users to access other country data
$content .= "<p><center><a href=\"modules.php?name=".$module_name."\"><strong>Convert Other Currencies</strong></a></center>";


// For Administrator only: Admin Menu
if( is_admin( $admin ) )
{
  $content .= "<p><center><a href=\"modules.php?name=".$module_name."&amp;file=ascurrency_admin&amp;op=block\"><strong>Admin Menu</strong></a></center>";
}



?>
